//------------------------------------------------------------------
//------------------------------------------------------------------
#property indicator_chart_window
#property indicator_buffers 1
#property indicator_color1 PaleVioletRed
#property indicator_width1 2

//
//
//
//
//

extern int    MaPeriod   = 14;
extern int    MaPrice    = PRICE_CLOSE;
extern int    MaType     = MODE_SMA;
extern string UniqueID   = "MaPrice1";
extern color  PriceColor = PaleVioletRed;
extern int    PriceSize  = 1;
double ma[];

//------------------------------------------------------------------
//
//------------------------------------------------------------------
//
//
//
//
//

int init()   { SetIndexBuffer(0,ma);   return(0); }
int deinit() { ObjectDelete(UniqueID); return(0); }
int start()
{
   int counted_bars=IndicatorCounted();
      if(counted_bars<0) return(-1);
      if(counted_bars>0) counted_bars--;
         int limit = MathMin(Bars-counted_bars,Bars-1);

   //
   //
   //
   //
   //

   for(int i=limit; i>=0; i--)  ma[i] = iMA(NULL,0,MaPeriod,0,MaType,MaPrice,i);
      
      if (UniqueID!="")
      {
         ObjectCreate(UniqueID,OBJ_ARROW,0,0,0);
            ObjectSet(UniqueID,OBJPROP_ARROWCODE,SYMBOL_RIGHTPRICE);
            ObjectSet(UniqueID,OBJPROP_COLOR,PriceColor);
            ObjectSet(UniqueID,OBJPROP_WIDTH,PriceSize);
            ObjectSet(UniqueID,OBJPROP_PRICE1,ma[0]);
            ObjectSet(UniqueID,OBJPROP_TIME1,Time[0]);
      }
   return(0);
}

